<template>
  <a data-test="post" class="post">
    <h4 class="post__title">{{ post.title }}</h4>
    <p class="post__created">{{ post.created.format("Do MMM") }}</p>
  </a>
</template>
<script lang="ts">
import { defineComponent } from "vue"
import { Post } from "@/types"

export default defineComponent({
  props: {
    post: Object as () => Post,
  },
})
</script>
